"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadDatabaseConfiguration = void 0;
function loadDatabaseConfiguration(inputs) {
    const database = inputs.find((e) => e.name === 'database').value;
    const host = inputs.find((e) => e.name === 'host').value;
    const user = inputs.find((e) => e.name === 'username').value;
    const port = inputs.find((e) => e.name === 'port').value;
    const password = inputs.find((e) => e.name === 'password').value;
    return {
        database,
        host,
        user,
        port,
        password,
    };
}
exports.loadDatabaseConfiguration = loadDatabaseConfiguration;
