"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColumnsExecutor = void 0;
const abstract_executor_1 = require("../common/abstract.executor");
class ColumnsExecutor extends abstract_executor_1.AbstractExecutor {
    constructor(db, table) {
        super('SELECT COLUMN_NAME AS name, COLUMN_DEFAULT AS defaultValue, IS_NULLABLE AS isNullable, ' +
            'COLUMN_TYPE AS type, EXTRA AS extra, COLUMN_COMMENT AS `comment` ' +
            'FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_SCHEMA = ? AND TABLE_NAME = ?', [db, table]);
    }
}
exports.ColumnsExecutor = ColumnsExecutor;
