"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TablesExecutor = void 0;
const abstract_executor_1 = require("../common/abstract.executor");
class TablesExecutor extends abstract_executor_1.AbstractExecutor {
    constructor(dbname) {
        super(`SELECT TABLE_NAME AS name, TABLE_COMMENT AS comment, ENGINE AS engine FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = ?`, [dbname]);
    }
}
exports.TablesExecutor = TablesExecutor;
