"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDebug = exports.isBoolean = exports.isString = exports.is = void 0;
const toString = Object.prototype.toString;
function is(val, type) {
    return toString.call(val) === `[object ${type}]`;
}
exports.is = is;
function isString(val) {
    return is(val, 'String');
}
exports.isString = isString;
function isBoolean(val) {
    return is(val, 'Boolean');
}
exports.isBoolean = isBoolean;
function isDebug() {
    return !!process.env.DEBUG;
}
exports.isDebug = isDebug;
