import { AbstractWriter } from '../common/abstract.writer';
import { TablesRowData } from '../executor';
export declare class MarkdownWriter extends AbstractWriter {
    write(): Promise<void>;
    protected createTitle(title: string, level: 1 | 2 | 3 | 4 | 5 | 6, newLine?: boolean, subTitle?: string): string;
    protected createOutline(tables: TablesRowData[]): string;
    protected createTable(table: TablesRowData): Promise<string>;
}
