/// <reference types="node" />
import { WriteStream } from 'fs';
import { TablesRowData } from '../executor';
export declare abstract class AbstractWriter {
    protected stream: WriteStream;
    protected database: string;
    protected tables: TablesRowData[];
    constructor(stream: WriteStream, database: string, tables: TablesRowData[]);
    abstract write(): Promise<void>;
}
