import { ConnectionOptions } from 'mysql2';
export declare class DBDataSource {
    private static _instance;
    /**
     * mysql connection ist
     */
    private connection;
    static getInstance(): DBDataSource;
    /**
     * prepare mysql connection
     */
    init(conf: ConnectionOptions): Promise<void>;
    query<T = any>(sql: string, args?: any[]): Promise<T>;
    destroy(): void;
}
